<?php
date_default_timezone_set('America/Mexico_City');
require_once("comun/conexion3.php");
require_once("comun/conex_ver.php");

require_once("comun/actions.php");

require_once("comun/funciones.php");
function valorate($valor){
	$valor = str_replace("'","\'",$valor);
	return $valor;
}
$action = new actions();
$link_impo=con_impo();
$link=con_ver();
$cierre_documentos_ag_ad= valorate(trim(strtoupper($_POST['cierre_documentos_ag_ad'])));
$cierre_pedimentos_ag_ad= valorate(trim(strtoupper($_POST['cierre_pedimentos_ag_ad'])));




///// added on 5.3.2018
$fotos= valorate(trim(($_POST['fotos'])));
$txtpod=valorate(trim(strtoupper($_POST['txtpod'])));
$txtdestino_final= valorate(trim(strtoupper($_POST['txtdestino_final']))); 
$atraque= valorate(trim(strtoupper($_POST['atraque'])));
$zarpe= valorate(trim(strtoupper($_POST['zarpe'])));
$cierre_documentacion= valorate(trim(strtoupper($_POST['cierre_documentacion'])));
$cierre_vgm= valorate(trim(strtoupper($_POST['cierre_vgm'])));
$cierre_buque= valorate(trim(strtoupper($_POST['cierre_buque'])));
/////
$idusuario= valorate(trim(strtoupper($_GET['idusuario'])));
$txtbooking= valorate(trim(strtoupper($_POST['txtbooking']))); //booking interteam
$txtcancelado= valorate(trim(strtoupper($_POST['txtcancelado']))); //booking interteam
$txtbandera_de_consolidado= valorate(trim(strtoupper($_POST['txtbandera_de_consolidado']))); //booking interteam
//OBTENGO EL ID DEL BOOKING (ITVER)
 $txtcomentarios=valorate(trim(strtoupper($_POST['txtcomentarios'])));
$txtreferencia_lpv=valorate(trim(strtoupper($_POST['txtreferencia_lpv'])));
$txtreferencia_cliente=valorate(trim(strtoupper($_POST['txtreferencia_cliente'])));
$txtdimension=valorate(trim(strtoupper($_POST['txtdimension'])));
//$action->alert($txtdimension);
 
$txtliberado=valorate(trim(strtoupper($_POST['txtliberado'])));
$txtprogramado=valorate(trim(strtoupper($_POST['txtprogramado'])));
$txtdocumentado=valorate(trim(strtoupper($_POST['txtdocumentado'])));
$txtsolicitud_vacio=valorate(trim(strtoupper($_POST['txtsolicitud_vacio'])));

$txtcliente=valorate(trim(strtoupper($_POST['txtcliente'])));
$txtfecha= valorate(trim(strtoupper($_POST['txtfecha'])));
$txtbuque=valorate(trim(strtoupper($_POST['txtbuque'])));
$txtets = valorate(trim(strtoupper($_POST['txtets'])));
$txtnum_viaje = valorate(trim(strtoupper($_POST['txtnum_viaje'])));
$txtpedimento = valorate(trim(strtoupper($_POST['txtpedimento'])));

$txtnaviera=valorate(trim(strtoupper($_POST['txtnaviera'])));
$txtlinea = valorate(trim(strtoupper($_POST['txtlinea'])));
$txtalmacen = valorate(trim(strtoupper($_POST['txtalmacen'])));
$txtcontenedor = valorate(trim(strtoupper($_POST['txtcontenedor'])));
$txttipo=valorate(trim(strtoupper($_POST['txttipo'])));
$txtsello= valorate(trim(strtoupper($_POST['txtsello'])));
$txttara=valorate(trim(strtoupper($_POST['txttara'])));
$desde= valorate(trim(strtoupper($_POST['desde'])));
$hacia=valorate(trim(strtoupper($_POST['hacia'])));
$txttipo_mercancia =valorate(trim(strtoupper($_POST['txttipo_mercancia'])));

$txtregimen1 = valorate(trim(strtoupper($_POST['txtregimen1'])));
$txtregimen2 = valorate(trim(strtoupper($_POST['txtregimen2'])));
$txtregimen3 = valorate(trim(strtoupper($_POST['txtregimen3'])));
$txtregimen4 = valorate(trim(strtoupper($_POST['txtregimen4'])));
$txtregimen5 = valorate(trim(strtoupper($_POST['txtregimen5'])));
$txtregimen6 = valorate(trim(strtoupper($_POST['txtregimen6'])));
$txtregimen7 = valorate(trim(strtoupper($_POST['txtregimen7'])));
$txtregimen8 = valorate(trim(strtoupper($_POST['txtregimen8'])));

$LOCATION_CODE_POD =$_POST['LOCATION_CODE_POD'];
$LOCATION_CODE_DESTINO_FINAL =$_POST['LOCATION_CODE_DESTINO_FINAL'];
 
	
$procedencia_vacio = valorate(trim(strtoupper($_POST['procedencia_vacio'])));
$almacen_consolidacion = valorate(trim(strtoupper($_POST['almacen_consolidacion'])));

$txtbooking_naviera = valorate(trim(strtoupper($_POST['txtbooking_naviera'])));


$txtregimen = $txtregimen1.','.$txtregimen2.','.$txtregimen3.','.$txtregimen4.','.$txtregimen5.','.$txtregimen6.','.$txtregimen7.','.$txtregimen8;

$rol = trim(strtoupper($_POST['rol']));

/* ESTOS SIRVEN PARA GUARDAR EN LA BD VERACRUZ */
 
$qry=mysqli_query($link,"select fecha_recepcion from hblexpint where referencia='$txtreferencia_cliente' and referencia<>''  and status<>'CANCELADO'");
$nopasa=0;
while($rqry=mysqli_fetch_array($qry)){
	if($rqry[fecha_recepcion]=='0000-00-00' or $rqry[fecha_recepcion]==''){
		$nopasa=1;
	}
}
//$action->alert($nopasa);
 if($nopasa==1 and $txtliberado!='' and $txtliberado!='0000-00-00'){
	$action->alert("FECHA DE LIBERACION NO SE GUARDARA PORQUE FALTAN FECHAS DE RECEPCION. FAVOR DE COMPLETAR CADA FECHA DE RECEPCION.");
	//$action->send_response();
	//return;
} 
$buscar = mysqli_query($link,"select referencia_cliente from datosbooking where referencia_cliente ='".$txtreferencia_cliente."'");
$buscar1 = mysqli_query($link,"select tipo_de_carga from referencias_veracruz where referencia_cliente ='".$txtreferencia_cliente."'");
$rb1=mysqli_fetch_array($buscar1);
$tipo_de_carga=$rb1[tipo_de_carga];

if(mysqli_num_rows($buscar)>0){
	mysqli_query($link,"update datosbooking set `referencia_lpv`='$txtreferencia_lpv',`cliente`='$txtcliente',`vessel`='$txtbuque',
				`ets`='$txtets',`voyage`='$txtnum_viaje',`pedimento`='$txtpedimento', `pod`='$txtpod',`finaldestination`='$txtdestino_final',
				`shippingline`='$txtnaviera',`linea`='$txtlinea', `cfsgeneral`='$txtalmacen',
				`contenedor`='$txtcontenedor',`tipo`='$txttipo',`dimension`='$txtdimension', `sello`='$txtsello',`tara`='$txttara',
				`regimen`='$txtregimen',`desde`='$desde',`hacia`='$hacia',tipo_mercancia = '$txttipo_mercancia',
				procedencia_vacio = '$procedencia_vacio',almacen_consolidacion = '$almacen_consolidacion',booking_ssl = '$txtbooking_naviera',
				solicitud_vacio = '$txtsolicitud_vacio',programado='$txtprogramado',liberado='".($nopasa==1 ? 'null' : $txtliberado)."',documentado='$txtdocumentado',
				comentarios='$txtcomentarios',cancelado='$txtcancelado',bandera_de_consolidado='$txtbandera_de_consolidado' ,
				fotos='$fotos',atraque= '$atraque',zarpe='$zarpe',cierre_documentacion='$cierre_documentacion',
				cierre_vgm='$cierre_vgm',cierre_buque='$cierre_buque',
				tipo_de_carga= '$tipo_de_carga',cierre_documentos_ag_ad='$cierre_documentos_ag_ad',cierre_pedimentos_ag_ad='$cierre_pedimentos_ag_ad',
				fotos_consolidado = '$fotos',LOCATION_CODE_DESTINO_FINAL='".$LOCATION_CODE_DESTINO_FINAL."',
				LOCATION_CODE_POD='".$LOCATION_CODE_POD."'
				where referencia_cliente = '".$txtreferencia_cliente."' ");
}else{
 

 /*$consecutivo = busquedaB("select max(id)+1 as maximo from consecutivos_referencia","maximo");
 mysqli_query($link,"insert into referencias_veracruz (`referencia`, `referencia_cliente`, `consecutivo`) values ('".$txtreferencia_lpv."','".$txtreferencia_cliente."','".$consecutivo."')");*/
 
 if(trim($txtreferencia_lpv)!='' and trim($txtreferencia_cliente)!=''){
		$buscar2 = mysqli_query($link,"select referencia_cliente from referencias_veracruz where referencia_cliente ='".$txtreferencia_cliente."'");
		if(mysqli_num_rows($buscar2)<1){
			 mysqli_query($link,"insert into referencias_veracruz (referencia, referencia_cliente ) values ('".$txtreferencia_lpv."','".$txtreferencia_cliente."')");
			 $consecutivo=mysqli_insert_id($link);
			 mysqli_query($link,"update referencias_veracruz set referencia='".$txtreferencia_lpv."', 
			 referencia_cliente'".$txtreferencia_cliente."' , consecutivo='".$consecutivo.",tipo_de_carga='$tipo_de_carga' 
			 where referencia_cliente='".$txtreferencia_cliente."' ");
		}
 }

 if($rol=='A' or $rol=='E'){ //empleado o administrador
		mysqli_query($link,"insert into  datosbooking (`referencia_lpv`,`referencia_cliente`, `cliente`,`vessel`, `ets`,
		`voyage`, `pedimento`, `pod`, `finaldestination`,
		`shippingline`, `linea`, `cfsgeneral`, `contenedor`, `tipo`,`dimension`, `sello`, `tara`, 
		`regimen`,fechaRegistro,status,registro,desde,hacia,tipo_mercancia,procedencia_vacio,almacen_consolidacion,booking_ssl,
		solicitud_vacio,documentado,programado,liberado,comentarios,cancelado,bandera_de_consolidado,
		fotos,atraque,zarpe,cierre_documentacion,cierre_vgm,cierre_buque,tipo_de_carga,cierre_documentos_ag_ad,cierre_pedimentos_ag_ad,fotos_consolidado) 
		values 	
		('$txtreferencia_lpv','$txtreferencia_cliente','$txtcliente','$txtbuque','$txtets',
		'$txtnum_viaje','$txtpedimento','$txtpod','$txtdestino_final','$txtnaviera','$txtlinea',
		'$txtalmacen','$txtcontenedor','$txttipo','$txtdimension','$txtsello','$txttara','$txtregimen','".date("Y-m-d H:i:s")."','OK','$idusuario',
		'$desde','$hacia','$txttipo_mercancia','$procedencia_vacio','$almacen_consolidacion','$txtbooking_naviera',
		'$txtsolicitud_vacio','$txtdocumentado','$txtprogramado',
		'".($nopasa==1 ? 'null' : $txtliberado)."','$txtcomentarios','$txtcancelado','$txtbandera_de_consolidado',
		'$fotos','$atraque','$zarpe','$cierre_documentacion','$cierre_vgm','$cierre_buque' ,'$tipo_de_carga','$cierre_documentos_ag_ad','$cierre_pedimentos_ag_ad','$fotos'  )");
		//$action->alert('error 1'.mysqli_error());
 }else{ // si es cliente
		mysqli_query($link,"insert into datosbooking (`referencia_lpv`,`referencia_cliente`, `cliente`, `vessel`, `ets`, `voyage`, 
		`pedimento`, `pod`, `finaldestination`, `shippingline`, `linea`, `cfsgeneral`, `contenedor`, `tipo`, `dimension`,`sello`, `tara`, 
		`regimen`, fechaRegistro,status,registro,desde,hacia,tipo_mercancia,procedencia_vacio,almacen_consolidacion,booking_ssl,
		solicitud_vacio,documentado,programado,liberado,comentarios,cancelado,bandera_de_consolidado,
		fotos,atraque,zarpe,cierre_documentacion,cierre_vgm,cierre_buque,tipo_de_carga,cierre_documentos_ag_ad,cierre_pedimentos_ag_ad,fotos_consolidado) 
		values 	
		('$txtreferencia_lpv','$txtreferencia_cliente','$txtcliente','$txtbuque','$txtets',
		'$txtnum_viaje','$txtpedimento','$txtpod','$txtdestino_final','$txtnaviera','$txtlinea',
		'$txtalmacen','$txtcontenedor','$txttipo','$txtdimension','$txtsello','$txttara','$txtregimen','".date("Y-m-d")."','REVISANDO','$idusuario','$desde','$hacia','$txttipo_mercancia','$procedencia_vacio','$almacen_consolidacion','$txtbooking_naviera',
		'$txtsolicitud_vacio','$txtdocumentado','$txtprogramado',
		'".($nopasa==1 ? 'null' : $txtliberado)."','$txtcomentarios','$txtcancelado','$txtbandera_de_consolidado',
		'$fotos',
		'$atraque','$zarpe','$cierre_documentacion','$cierre_vgm','$cierre_buque' ,'$tipo_de_carga' ,'$cierre_documentos_ag_ad','$cierre_pedimentos_ag_ad','$fotos'   )"); 
		//$action->alert('error 2'.mysqli_error());
 }
}

//$action->alert(mysqli_error());
//$action->alert(mysqli_error());
//$action->alert(count($_POST[exportador]));
if(mysqli_num_rows($buscar)==0){
}else{
	mysqli_query($link,"delete from detallebooking where referencia_cliente = '$txtreferencia_cliente'");
}
//$action->alert('peso neto '.$_POST[peso_neto][$i].'  peso bruto '.$_POST[peso_bruto][$i]);

for($i=0;$i<count($_POST[exportador]);$i++){
//	$action->alert('peso neto '.$_POST[peso_neto][$i].'  peso bruto '.$_POST[peso_bruto][$i]);
//$action->alert(count($_POST[exportador]));
	mysqli_query($link,"INSERT INTO detallebooking  
				(`referencia_cliente`,exportador, `cantidad_bultos`, `fecha_entrada`, `peso_neto`, `peso_bruto`, `flash_point`, `imo`, `un`, 
				 `packing_group`,riesgo_secundario,nombre_producto,fecha_registro) values
				('$txtreferencia_cliente','".$_POST[exportador][$i]."','".$_POST[cantidad_bultos][$i]."','".$_POST[fecha_entrada][$i]."',
				'".$_POST[peso_neto][$i]."','".$_POST[peso_bruto][$i]."','".$_POST[flash_point][$i]."','".$_POST[imo][$i]."',
				'".$_POST[un][$i]."','".$_POST[packing_group][$i]."','".$_POST[riesgo_secundario][$i]."',
				'".$_POST[nombre_producto][$i]."','".date("Y-m-d")."')");
}


if($txtcliente=='INTERTEAM S.A. DE C.V.'){
					
					$qu=mysqli_query($link_impo,"select files from datosexpint where referencia_interteam ='".$txtreferencia_cliente."'");
					$rqu=mysqli_fetch_array($qu);
					$files=$rqu[0];
					
					$qu=mysqli_query($link_impo,"select booking from bookingexpint where files='$files' and status30*1=0");
					if(mysqli_num_rows($qu)>0){
						//$action->alert('Enviando status 30 WWA, por favor espere.');

						while($rqu=mysqli_fetch_array($qu)){
						$booking=$rqu[0];
							mysqli_query($link_impo,"update bookingexpint set liberado='".($nopasa==1 ? 'null' : $txtliberado)."' where booking = '$booking'");
						 //file_get_contents("https://intralogs.com.mx/INT/exportaciones/files/master/pd/je/shipment_status_container_loaded.php?id=".$files."&&files=".$files."&&hbl=".str_replace('BKG','HBL',$booking)."&&booking=".$booking."&&info=ORIGINAL");
						}
					}
					 
}

$action->alert('Booking registrado OK');

$action->add_js_code("unloadin('saving_bl');");//document.getElementById('forma').reset();

$action->send_response();

return;

?> 

